package com.izouma.awesomeadmin.frame.gen;

public class TableParams {

    /**
     * 表名
     */
    private String tabelName;

    /**
     * model 实例对象包名 （com.xxx.xxxx）
     */
    private String modelTargetPackage;

    /**
     * dao 数据库层包名
     */
    private String daoTargetPackage;

    /**
     * service 服务包名
     */
    private String serviceTargetPackage;

    /**
     * service 实现包名
     */
    private String implTargetPackage;

    /**
     * controller 控制类
     */
    private String controllerTargetPackage;

    /**
     * 后台管理jsp
     */
    private String jspTargetPackage;

    /**
     * 基础包  "com.xxx"
     */
    private String basePackage;

    /**
     * model开个，默认开
     */
    private boolean modelFlag = true;

    /**
     * dao开个，默认开
     */
    private boolean daoFlag = true;

    /**
     * service开个，默认开
     */
    private boolean serviceFlag = true;

    /**
     * controller开个，默认开
     */
    private boolean controllerFlag = true;

    private boolean jspFlag = true;

    public String getTabelName() {
        return tabelName;
    }

    public void setTabelName(String tabelName) {
        this.tabelName = tabelName;
    }

    public String getModelTargetPackage() {
        return modelTargetPackage;
    }

    public void setModelTargetPackage(String modelTargetPackage) {
        this.modelTargetPackage = modelTargetPackage;
    }

    public String getDaoTargetPackage() {
        return daoTargetPackage;
    }

    public void setDaoTargetPackage(String daoTargetPackage) {
        this.daoTargetPackage = daoTargetPackage;
    }

    public String getServiceTargetPackage() {
        return serviceTargetPackage;
    }

    public void setServiceTargetPackage(String serviceTargetPackage) {
        this.serviceTargetPackage = serviceTargetPackage;
    }

    public String getImplTargetPackage() {
        return implTargetPackage;
    }

    public void setImplTargetPackage(String implTargetPackage) {
        this.implTargetPackage = implTargetPackage;
    }

    public String getControllerTargetPackage() {
        return controllerTargetPackage;
    }

    public void setControllerTargetPackage(String controllerTargetPackage) {
        this.controllerTargetPackage = controllerTargetPackage;
    }

    public boolean isModelFlag() {
        return modelFlag;
    }

    public void setModelFlag(boolean modelFlag) {
        this.modelFlag = modelFlag;
    }

    public boolean isDaoFlag() {
        return daoFlag;
    }

    public void setDaoFlag(boolean daoFlag) {
        this.daoFlag = daoFlag;
    }

    public boolean isServiceFlag() {
        return serviceFlag;
    }

    public void setServiceFlag(boolean serviceFlag) {
        this.serviceFlag = serviceFlag;
    }

    public boolean isControllerFlag() {
        return controllerFlag;
    }

    public void setControllerFlag(boolean controllerFlag) {
        this.controllerFlag = controllerFlag;
    }

    public String getBasePackage() {
        return basePackage;
    }

    public void setBasePackage(String basePackage) {
        this.basePackage = basePackage;
    }

    public String getJspTargetPackage() {
        return jspTargetPackage;
    }

    public void setJspTargetPackage(String jspTargetPackage) {
        this.jspTargetPackage = jspTargetPackage;
    }

    public boolean isJspFlag() {
        return jspFlag;
    }

    public void setJspFlag(boolean jspFlag) {
        this.jspFlag = jspFlag;
    }
}
